%define name cgoban
%define version 1.9.11
%define release 2mdk

Summary: A Go game client
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Boards
Source: http://www.inetarena.com/~wms/comp/cgoban/cgoban-%{version}.tar.bz2
URL: http://www.igoweb.org/~wms/comp/cgoban/index.html
BuildRoot: %{_tmppath}/%{name}-buildroot
#Requires: gnugo

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
mv src/cgoban.c src/cgoban.c.orig
sed -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' <src/cgoban.c.orig >src/cgoban.c
mv configure configure.orig
sed -e "s|-O2 -fomit-frame-pointer|$RPM_OPT_FLAGS|g" <configure.orig >configure
chmod +x configure
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
make PREFIX=$RPM_BUILD_ROOT%{_prefix} MANDIR=$RPM_BUILD_ROOT%{_mandir} install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/cgoban <<EOF
cgoban name "cgoban"
cgoban description "Game of Go"
cgoban group Games/Boards
cgoban exec "cgoban &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING TODO seigen-minoru.sgf
%{_bindir}/*
%{_mandir}/man6/*

%changelog
* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.11-2mdk
- rebuild

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.11-1mdk
- updated to 1.9.11

* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.10-3mdk
- BM
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.10-2mdk
- spec helper fixes
* Mon Apr  4 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- version 1.9.10
- fix group
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- removed GNU Go dependency
* Thu Dec 23 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- updated version 1.9.8
- mandrake adaptation
- configured to use GNU Go
- relocated to /usr/X11R6
* Sat Jul 31 1999 Adrian Likins <alikins@redhat.com>
- initial release
